> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Conversion Api

> Conversion Api



## OpenAPI

````yaml /api-reference/funnels/openapi.json post /funnels/event/conversion
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/event/conversion:
    post:
      summary: Conversion Api
      description: Conversion Api
      operationId: conversionEvents
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FacebookConversionPayloadDto'
      responses:
        '200':
          description: Successful response
components:
  schemas:
    FacebookConversionPayloadDto:
      type: object
      properties:
        eventId:
          type: string
          description: Pixel ID of the transaction
        eventName:
          type: string
          description: Name of the event
          enum:
            - PageView
            - Purchase
            - Lead
            - CompleteRegistration
            - AddToCart
            - AddToWishlist
            - InitiateCheckout
            - Search
            - ViewContent
            - Contact
            - CustomizeProduct
            - Donate
            - FindLocation
            - Schedule
            - StartTrial
            - SubmitApplication
            - Subscribe
            - ViewCart
            - ViewProduct
            - Other
        contact:
          $ref: '#/components/schemas/ContactInfoDto'
        url:
          type: string
          description: URL where the event happened
        fbp:
          type: string
          description: Facebook Browser ID
        fbc:
          type: string
          description: Facebook Click ID
        fbclid:
          type: string
          description: Facebook click identifier
        fbEventId:
          type: string
          description: Facebook Event ID
        currency:
          type: string
          description: Currency of the transaction
        value:
          type: string
          description: Value of the transaction
      required:
        - eventName
        - contact
    ContactInfoDto:
      type: object
      properties:
        email:
          type: string
          description: User email
        firstName:
          type: string
          description: User first name
        lastName:
          type: string
          description: User last name
        phone:
          type: string
          description: User phone number
        city:
          type: string
          description: City of the user
        state:
          type: string
          description: State of the user
        postalCode:
          type: string
          description: Postal code of the user
        country:
          type: string
          description: Country of the user
        dateOfBirth:
          type: string
          description: Date of birth of the user
          format: date-time

````